P4_SH_PRAGMA(3)

NAME
p4_sh_pragma - #pragma ( "word" "evaluate<cr;>" -- ) [FTH]

SYNOPSIS

#include <pfe/cdecl-ext.h>

FCode p4_sh_pragma(---);

DESCRIPTION

pass the word to ENVIRONMENT? If the word does *not* exist, the rest of the line is parsed away with // - therefore, if the executed word does not consume the line itself, the rest of the line is still executed. examples:

      #pragma warnings on // if warnings is a variable, ON can set it
      #pragma stack-cells 50 &lt; [if] .( not enough stackcells ) [then]
      #pragma simply anything else you like to have in environment or not

implementation:

      : #pragma ?exec
        bl word count environment? if exit then ( interpret the rest of the line )
        [compile] \               ( parse away the rest of the line as a comment )
      ;

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>